Bug 1121602 - create app failed when set DEFAULT_REGION_NAME="XX" & DISTRICTS_REQUIRE_FOR_APP_CREATE=false
Summary: create app failed when set DEFAULT_REGION_NAME="XX" & DISTRICTS_REQUIRE_FOR_A...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 10:44 UTC by Anping Li
Modified: 2017-01-13 22:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 22:17:30 UTC


Attachments (Terms of Use)

Description Anping Li 2014-07-21 10:44:23 UTC
Description of problem:
When Set DISTRICTS_REQUIRE_FOR_APP_CREATE=false, application should be created no matter if there is district or regions.    

Version-Release number of selected component (if applicable):
OSE-2.1 puddle-2-1-2014-07-18

How reproducible:
Always

Steps to Reproduce:
1.Create region and set DEFAULT_REGION_NAME="XX" (XX is a real region name). 
2.Create district and add node to district, but don't set-region for the node 
3. Set DISTRICTS_REQUIRE_FOR_APP_CREATE=false
4.Create application.


Actual results:
App creation failed "Unable to complete the requested operation due to: No nodes available. Please try again and contact support if the issue persists".  

Expected results:
The app should be created.

Additional info:

Comment 2 Rory Thrasher 2017-01-13 22:17:30 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.